<div class="container">
  <ng-container *ngIf="isEmailConfirmed">
    <dsfr-alert
      [type]="alertType.SUCCESS"
      [hasCloseButton]="false">
      La création de votre compte est terminée. Vous pouvez
      maintenant utiliser la plateforme en étant connecté.
    </dsfr-alert>
    <dsfr-button
      class="fr-mt-3w"
      label="Se connecter"
      title="Aller vers la page de connexion"
      (click)="goToLoginPage()"
    ></dsfr-button>
  </ng-container>
  <ng-container *ngIf="isExpiredToken">
    <dsfr-alert
      [type]="alertType.ERROR"
      [hasCloseButton]="false">
      Ce lien de confirmation d’inscription n’est pas ou plus valable.
      Pour finaliser l’inscription, vous pouvez envoyer un nouveau courriel
      de confirmation à l’adresse  <b>{{cityHallEmail ?  cityHallEmail : userEmail}}</b> en utilisant
      le bouton ci-dessous.
    </dsfr-alert>
    <div class="fr-mt-3w">
      <dsfr-button
        *ngIf="!isEmailResent"
        label="Renvoyez le courriel"
        [iconAlignment]="iconAlignment.RIGHT"
        icon="fr-icon-mail-line"
        (click)="resendConfirmationEmail()">
      </dsfr-button>
      <dsfr-alert
        *ngIf="isEmailResent"
        class="alert-email-resent"
        [type]="alertType.SUCCESS"
        [hasCloseButton]="false">
        Le courriel a bien été renvoyé
      </dsfr-alert>
      </div>
  </ng-container>
  <ng-container *ngIf="isErrorToken">
    <dsfr-alert
      [type]="alertType.ERROR"
      [hasCloseButton]="false">
      Ce lien de confirmation d’inscription n’est pas valable.
    </dsfr-alert>
  </ng-container>
</div>
